Skip to main content
POST
/
preflight
Preflight Endpoint
curl --request POST \
  --url https://backend.overtenai.com/api/v1/preflight \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '
{
  "prompt": "<string>",
  "mode": "action",
  "image_assets": [
    {}
  ],
  "data_sources": [
    {}
  ],
  "context_files": [
    "<unknown>"
  ],
  "brand": {}
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Authorizations

X-API-Key
string
header
required

Send X-API-Key: sk_live_<your_key>. Keys are issued via POST /signup or via the dashboard. Legacy callers may also use Authorization: Bearer sk_live_<your_key>.

Body

application/json
format
enum<string>
required
Available options:
excel,
word,
slides
prompt
string
required
Required string length: 1 - 10000
mode
enum<string>
default:action
Available options:
action,
ask
image_assets
Image Assets · object[] | null
data_sources
Data Sources · object[] | null
context_files
any[] | null
brand
Brand · object

Response

Successful Response